@echo off
rem Batch file Version: R2.2

REM  BL0 53Xe  HWID=047B MID.DAT
REM  BL1 54Xf  HWID=0477 MID1.DAT
REM  BL2 54Cc  HWID=047F MID2.DAT

set THISHWID=047B

if exist check.exe goto HWIDCHK
@echo Invalid update program
goto END

:HWIDCHK
check /m >nul
if %AHWID%==047B goto IDCHECK
if %AHWID%==0477 goto IDCHECK1
if %AHWID%==047F goto IDCHECK2

rem 54Cc setting
:IDCHECK2

set THISHWID=047F

check /r=%THISHWID% /i=mid2.dat /s=IAM /g=0024 /n=4 flashabl.rom > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END


rem 54Xf setting
:IDCHECK1

set THISHWID=0477

check /r=%THISHWID% /i=mid1.dat /s=IAM /g=0024 /n=4 flashabl.rom > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END


rem 53Xe setting
:IDCHECK
check /r=%THISHWID% /s=IAM /g=0024 /n=4 flashabl.rom > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
:BBFLASH
@echo Now reading BIOS update tool ...
phlash16 /mode=0 /bbl flashabl.rom

:END
